=== debian/changelog ===
pesign (0.110-2) unstable; urgency=medium

  * uncomment VCS information in debian/control
  * change package priority because of dependency on opensc

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Tue, 23 Jun 2015 17:51:13 -0500

pesign (0.110-1) unstable; urgency=low

  * Initial release (Closes: #786462)

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Thu, 21 May 2015 13:44:16 -0500
