=== util/Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
-SRCDIR = .
-TOPDIR = $(SRCDIR)/..
+SRCDIR = $(realpath .)
+TOPDIR = $(realpath ..)
 
+include $(TOPDIR)/Make.version
+include $(TOPDIR)/Make.rules
+include $(TOPDIR)/Make.efirules
 include $(TOPDIR)/Make.defaults
 
 FORMAT=efi-app-$(HOSTARCH)
@@ -14,12 +17,16 @@
 all : $(TARGETS)
 
 clean : 
-	@rm -rfv *.o *.a *.so $(TARGETS)
+	@rm -rfv *.o *.a *.so .*.d $(TARGETS)
 
 install :
 	$(INSTALL) -d -m 755 $(INSTALLROOT)/boot/efi/EFI/redhat/
 	$(INSTALL) -m 755 *.efi $(INSTALLROOT)/boot/efi/EFI/redhat/
 
+install_systemd:
+
+install_sysvinit:
+
 .PHONY: all clean install
 
 include $(TOPDIR)/Make.efirules
