=== debian/control ===
Source: pesign
Priority: optional
Maintainer: Debian UEFI maintainers <debian-efi@lists.debian.org>
Uploaders: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9.20160709), pkg-config, libnspr4, libnss3, libnss3-tools, libpopt-dev, coolkey, opensc (>= 0.14.0), libnspr4-dev (>= 4.9.2), libnss3-dev (>= 3.13.6), libefivar-dev (>= 0.14), uuid-dev
Standards-Version: 3.9.8.0
Section: devel
Homepage: https://github.com/rhinstaller/pesign
Vcs-Git: https://salsa.debian.org/efi-team/pesign.git
Vcs-Browser: https://salsa.debian.org/efi-team/pesign

Package: pesign
Architecture: amd64 i386 armhf arm64 armel
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libnss3-tools, coolkey, opensc
Description: Signing utility for UEFI binaries
 This package contains the pesign utility for signing UEFI binaries (PE-COFF 
 format) as well as other associated tools. It is meant to follow the PE and 
 Authenticode specifications. It is analogous to the tool described at
 http://msdn.microsoft.com/en-us/library/8s9b9yaz%28v=vs.80%29.aspx
