=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,10 @@
 buildroot	:= debian/tmp
 libexecdir	:= /usr/share
 
+export libexecdir
+
 %:
-	dh $@ --with systemd -- libexecdir=${libexecdir}
+	dh $@ --with systemd
 override_dh_auto_install:
 	dh_auto_install --destdir=${buildroot} -- libexecdir=${libexecdir} install_systemd install_sysvinit
 override_dh_install:
