=== debian/changelog ===
pesign (116-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream patch to fix calloc parameter order, that was causing an
    FTBFS with GCC-14. Closes: #1075379.

 -- Margarita Manterola <marga@debian.org>  Sun, 06 Apr 2025 15:28:31 +0200

pesign (116-8) unstable; urgency=medium

  * Stop installing things outside of /usr. Closes: #1073639.
  * Tweak the arm warnings patch to not fail on arm64 chroots too.
    Closes: #1073845

 -- Steve McIntyre <93sam@debian.org>  Sun, 14 Jul 2024 18:47:52 +0100

pesign (116-7) unstable; urgency=medium

  * Fix t64 breakage on 32-bit architectures. Closes: #1068147

 -- Steve McIntyre <93sam@debian.org>  Thu, 18 Apr 2024 21:24:46 +0100

pesign (116-6) unstable; urgency=medium

  * Move passwd from Build-Depends to Depends, Closes: #1054449
    Doh!

 -- Steve McIntyre <93sam@debian.org>  Sun, 12 Nov 2023 21:32:02 +0000

pesign (116-5) unstable; urgency=medium

  * Add the new pesign-authorize script, replacement for the
    already-removed pesign-authorize-users and
    pesign-authorize-groups. Closes: #1055325
  * Tweak patch filename for clarity

 -- Steve McIntyre <93sam@debian.org>  Sat, 04 Nov 2023 16:20:04 +0000

pesign (116-4) unstable; urgency=medium

  * Switch build to be arch:any. Closes: #1055258

 -- Steve McIntyre <93sam@debian.org>  Fri, 03 Nov 2023 13:05:21 +0000

pesign (116-3) unstable; urgency=medium

  * Disable linker warnings about wchar_t on 32-bit arm.
  * Also build for riscv64 and loong64

 -- Steve McIntyre <93sam@debian.org>  Thu, 02 Nov 2023 15:05:21 +0000

pesign (116-2) unstable; urgency=medium

  * Add build-dep on mandoc.

 -- Steve McIntyre <93sam@debian.org>  Thu, 02 Nov 2023 12:01:18 +0000

pesign (116-1) unstable; urgency=medium

  * New upstream version 116
    * Remove old patches, all upstream now
    * Add new patches:
      * Remove bashisms in Makefiles
      * Update a patch to make build reproducible. Closes: #1003787
    * Various programs are now gone, fix up packaging to match:
      * efisiglist; replaced by efisecdb in the efivar package
      * pesign-authorize-users / pesign-authorize-groups
        (Fixes CVE-2022-3560, Closes: #1030168)
    * No longer uses /var/run. Closes: 964157
  * Add build-dep on new libefisec-dev
  * Move user/group setup from preinst to postinst, and add a
    dependency on passwd. Closes: #1054449
  * Now seems to work OK using LTO in the build. Closes: #1015578.

 -- Steve McIntyre <93sam@debian.org>  Wed, 01 Nov 2023 22:25:43 +0000

pesign (0.112-6) unstable; urgency=medium

  * Fix FTBFS with new versions of NSS, using patch from
    upstream. Thanks to Dan Nicholson. Closes: #948645
  * Update Standards-Version to 4.5.1
  * Update debhelper compat to 10

 -- Steve McIntyre <93sam@debian.org>  Fri, 01 Jan 2021 22:34:53 +0000
