=== debian/control ===
Source: pesign
Priority: optional
Maintainer: Debian UEFI maintainers <debian-efi@lists.debian.org>
Uploaders: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 10),
 pkg-config,
 libnspr4,
 libnss3,
 libnss3-tools,
 libpopt-dev,
 mandoc,
 coolkey,
 opensc,
 libnspr4-dev,
 libnss3-dev,
 libefivar-dev,
 libefisec-dev,
 uuid-dev
Standards-Version: 4.5.1
Section: devel
Homepage: https://github.com/rhinstaller/pesign
Vcs-Git: https://salsa.debian.org/efi-team/pesign.git
Vcs-Browser: https://salsa.debian.org/efi-team/pesign

Package: pesign
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libnss3-tools, coolkey, opensc, passwd
Description: Signing utility for UEFI binaries
 This package contains the pesign utility for signing UEFI binaries (PE-COFF 
 format) as well as other associated tools. It is meant to follow the PE and 
 Authenticode specifications. It is analogous to the tool described at
 http://msdn.microsoft.com/en-us/library/8s9b9yaz%28v=vs.80%29.aspx
