=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export libexecdir
 
 %:
-	dh $@ --with systemd
+	dh $@
 override_dh_auto_install:
 	dh_auto_install --destdir=${buildroot} -- libexecdir=${libexecdir} install_systemd install_sysvinit
 override_dh_install:
