=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pesign-$1\.tar\.gz/ \
#https://github.com/vathpela/pesign/tags .*/v?(\d\S*)\.tar\.gz

https://github.com/rhinstaller/pesign/releases \
.*[^n]/(?:|v|version-|r|REL_|rel-|pesign(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
